# How to contribute to diagrams as code

Do you want to report a bug, implement a new feature or support the project by creating documentation?

Please create a GitHub issue, that contains at least the following information:
* A clear, descriptive title
* For a new feature:
  * What is the feature that you want to contribute?
  * Why do you want to contribute the feature? What is the benefit for the users of diagrams as code?
  * If possible: an outline of the technical solution
* For a bug:
  * A description of the unexpected behavior, and what behavior you would have expected
  * A step-by-step description on how to reproduce the behavior
  * The diagrams as code version you used
  * The environment in which you found the bug (Linux or Windows, Eclipse or IntelliJ etc.)
* For documentation:
  * What is the documentation that you want to contribute?
  * What is the benefit for the users of diagrams as code?
  
Once your issue is accepted, you can suggest changes by creating a branch first, and then a pull request.

Apart from the code you write, please write JUnit tests to ensure quality.


